Gofive OpenAPI
empeo
VenioeTaxGo
empeo
VenioeTaxGo
  1. Shifts
  • Authentication
    • Authorization
      POST
  • Master
    • Get Organizations
      GET
    • Get CustomField
      GET
    • Get Holiday
      GET
    • Get MasterSetup
      GET
  • Recruitment
    • Get Candidate
      GET
    • Get Recruitment หน้าหลัก
      POST
  • Core HR
    • Attendance
      • Get Time Attendance
      • Get Time Attendances Lite
      • Workin
      • Get Employee WorkIn Site
      • Get Timestamps
      • Get TimeStamp Attachments
      • Get Workin Sites
      • Get IOMO Logs
      • Add Timestamps
    • Asset
      • Get Asset list
      • Update Asset
      • Get Employee Assets
    • Employee
      • Get Employee
      • Update Employee
      • Get List Employees
      • Get Employees List
      • Get Mastertypes List
      • Get Name Prefixes
      • Get Document Types
      • Update Employee
      • Add Employee Attachment
      • Update Employee Address
      • Update Employee Family
      • Update Employee Information
      • Update Employee Contact
      • Update Employee Education
      • Update Employee Experience
      • Update Employee CustomField
      • Delete Employee
      • Get Employee Role
      • Get Employee Movement Lists
    • Leave
      • Get Employee Documents
    • Shifts
      • Get Shift Details
        GET
      • Update Employee Shifts
        POST
      • Get Employee Shifts
        GET
      • Swap Employee Shifts
        POST
    • Timesheet
      • SearchProjects
      • SearchTasks
      • AddTimeSheetEntry
  • Payroll
    • Create Loan
      POST
    • Get Loan
      GET
    • Get Cost Center
      POST
    • Get Financial Transactions
      POST
    • Update Financial Transactions
      PUT
  • Welfare
    • Get Shuttle Buses
      GET
    • Get Passengers
      GET
  • Goals
    • Update KPI
  • Engagement
    • Achievement
      • GetEmployeeAchievementsByEmployeeNoAsync
      • CreateAchievementCardAsync
      • CreateAchievementAwardDocumentAsync
    • Praise
      • GetEmployeePraisesByEmployeeNoAsync
      • GetPraiseTypesAsync
      • CreatePraiseRewardManagerAsync
  1. Shifts

Update Employee Shifts

POST
https://api.gofive.co.th/empeo/api/v1/employees/shifts

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Header Params

Body Params application/json

Example
[
    {
        "employeeRefId": "I0006",
        "companyName": "Accendio Solutions Ltd.",
        "shiftCode": "IVE",
        "DateFrom": "2024-09-02T12:00:00.000+07:00",
        "DateTo": "2024-09-13T12:00:00.000+07:00"
    },
    {
        "employeeRefId": "I0003",
        "companyName": "Accendio Solutions Ltd.",
        "shiftCode": "IVE",
        "DateFrom": "2024-09-15T12:00:00.000+07:00"
    },
    {
        "employeeRefId": "I0006",
        "companyName": "Accendio Solutions Ltd.",
        "shiftCode": "S1",
        "DateFrom": "2024-09-14T12:00:00.000+07:00"
    }
]

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.gofive.co.th/empeo/api/v1/employees/shifts' \
--header 'Ocp-Apim-Subscription-Key: WPe123a9RKbcfLQNSztr45' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
    {
        "employeeRefId": "I0006",
        "companyName": "Accendio Solutions Ltd.",
        "shiftCode": "IVE",
        "DateFrom": "2024-09-02T12:00:00.000+07:00",
        "DateTo": "2024-09-13T12:00:00.000+07:00"
    },
    {
        "employeeRefId": "I0003",
        "companyName": "Accendio Solutions Ltd.",
        "shiftCode": "IVE",
        "DateFrom": "2024-09-15T12:00:00.000+07:00"
    },
    {
        "employeeRefId": "I0006",
        "companyName": "Accendio Solutions Ltd.",
        "shiftCode": "S1",
        "DateFrom": "2024-09-14T12:00:00.000+07:00"
    }
]'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "statusCode": 200,
    "message": "บันทึกสำเร็จ"
}
🟠400Bad Request
Modified at 2026-04-28 10:37:29
Previous
Get Shift Details
Next
Get Employee Shifts
Built with